MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
MPQC::Chemistry_MoleculeViewer_impl Class Reference

Symbol "MPQC.Chemistry_MoleculeViewer" (version 0.2) More...

`#include <MPQC_Chemistry_MoleculeViewer_Impl.hh>`

## Public Member Functions
| Chemistry_MoleculeViewer_impl (struct MPQC_Chemistry_MoleculeViewer__object *s)
void | _ctor ()
void | _dtor ()
void | set_molecule (::Chemistry::Molecule molecule) throw ()
| user defined non-static method.
void | set_coor (const ::std::string &coords) throw ()
| user defined non-static method.
void | run_gui () throw ()
| user defined non-static method.
void | draw () throw ()
| user defined non-static method.
void | setServices (::gov::cca::Services services) throw ( ::gov::cca::CCAException )
| Starts up a component presence in the calling framework. More...

## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.Chemistry_MoleculeViewer" (version 0.2)

Chemistry_MoleculeViewer_impl implements a component interface for molecular viewers.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

void MPQC::Chemistry_MoleculeViewer_impl::setServices | ( | ::gov::cca::Services | services | ) | throw ( ::gov::cca::CCAException )

Starts up a component presence in the calling framework.

Parameters

  Svc | the component instance's handle on the framework world. Contracts concerning Svc and setServices:

The component interaction with the CCA framework and Ports begins on the call to setServices by the framework.

This function is called exactly once for each instance created by the framework.

The argument Svc will never be nil/null.

Those uses ports which are automatically connected by the framework (so-called service-ports) may be obtained via getPort during setServices.

The documentation for this class was generated from the following file:

- MPQC_Chemistry_MoleculeViewer_Impl.hh